CREATE TABLE LECTURE_TYPE (
    ID SERIAL PRIMARY KEY,
    NAME VARCHAR(40) NOT NULL
);

CREATE TABLE LECTURER_LECTURE_TYPES (
    LECTURER INTEGER NOT NULL,
    LECTURE_TYPE INTEGER NOT NULL
);

ALTER TABLE LECTURE DROP COLUMN NAME;

ALTER TABLE LECTURE ADD COLUMN LECTURE_TYPE_ID INTEGER;

ALTER TABLE LECTURE
ADD CONSTRAINT FK_LECTURE_TYPE FOREIGN KEY(LECTURE_TYPE_ID)
REFERENCES LECTURE_TYPE(id);

ALTER TABLE LECTURER_LECTURE_TYPES
ADD CONSTRAINT FK_LECTURER_LECTURER FOREIGN KEY (LECTURER)
REFERENCES LECTURER(ID);

ALTER TABLE LECTURER_LECTURE_TYPES
ADD CONSTRAINT FK_LECTURER_LECTURE_TYPE FOREIGN KEY (LECTURE_TYPE)
REFERENCES LECTURE_TYPE(ID);